Name:           sidc-gui
Version:        0.4
Release:        13%{?dist}
Summary:        Sudden ionospheric disturbance collector (sidc) GUI

License:        BSD
URL:            http://github.com/sorki/sidc-gui
Source0:        http://sources.48.io/sid/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  desktop-file-utils

Requires:       python2-psutil
Requires:       python2-wxpython
Requires:       python2-matplotlib-wx

%description
This application allows user to monitor sidc daemon
and view live graphs of recorded data.

%prep
%setup -q

%build
%py2_build

%install
%py2_install
mkdir -p %{buildroot}%{_datadir}/pixmaps/
cp sidc_gui.svg %{buildroot}%{_datadir}/pixmaps/
desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  sidc_gui.desktop

%files
%doc README.rst
%doc AUTHORS
%doc LICENSE
%doc CHANGES
%{_bindir}/sidc_gui
%{python2_sitelib}/*
%{_datadir}/pixmaps/sidc_gui.svg
%{_datadir}/applications/sidc_gui.desktop

%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.4-11
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Mar 19 2013 Richard Marko <rmarko@fedoraproject.org> - 0.4-2
- Fixed python2-devel build requirement

* Mon Jan 04 2013 Richard Marko <rmarko@fedoraproject.org> - 0.4-1
- Version bump

* Wed Dec 12 2012 Richard Marko <rmarko@fedoraproject.org> - 0.3-1
- Initial packaging attempt
